pygpgme 0.3-1.2 source package in Ubuntu

Changelog

pygpgme (0.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with newer gpgme library.
    Remove deprecated functions context.edit and context.card_edit.
    Both functions have been deprecated upstream and are not working
    anymore. In order to not ship broken Python bindings for those
    two functions, they are removed from the source altogether.
    If an application uses them, it now will get an error about
    the missing function instead of a function call with
    undefined behaviour.
    The best fix for those applications would be to switch over
    to pyme, the now official Python bindings from GPGME upstream.
    (Closes: #835174)
  * Clean up patch from Daniel which fixed the previous FTBFS

 -- Dr. Tobias Quathamer <email address hidden>  Thu, 24 Nov 2016 14:49:42 +0100

Upload details

Uploaded by:
Miguel Di Ciurcio Filho on 2016-11-24
Uploaded to:
Sid
Original maintainer:
Miguel Di Ciurcio Filho
Architectures:
any
Section:
python
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
pygpgme_0.3-1.2.dsc 2.0 KiB 0383218c3b201a8c5860b4ace280c2536da30a66fefc191a4f69660dd7762d65
pygpgme_0.3.orig.tar.gz 48.9 KiB 5fd887c407015296a8fd3f4b867fe0fcca3179de97ccde90449853a3dfb802e1
pygpgme_0.3-1.2.debian.tar.xz 7.3 KiB 4b6b96317bbe74a04855633123eb1a0ce7b0da2d5e187abd6acf622d208245f7

Available diffs

No changes file available.

Binary packages built by this source

python-gpgme: No summary available for python-gpgme in ubuntu zesty.

No description available for python-gpgme in ubuntu zesty.

python-gpgme-dbg: python wrapper for the GPGME library (debug extension)

 PyGPGME is a Python module that lets you sign, verify, encrypt
 and decrypt messages using the OpenPGP format.
 It is built on top of the GNU Privacy Guard and the
 GPGME library.
 .
 This package contains the extension built for the Python debug interpreter.

python3-gpgme: No summary available for python3-gpgme in ubuntu zesty.

No description available for python3-gpgme in ubuntu zesty.

python3-gpgme-dbg: python wrapper for the GPGME library (debug extension) (Python 3)

 PyGPGME is a Python module that lets you sign, verify, encrypt
 and decrypt messages using the OpenPGP format.
 It is built on top of the GNU Privacy Guard and the
 GPGME library.
 .
 This package contains the extension built for the Python debug interpreter.